Use this API to update or skip Website details for your merchant account.
When you skip the Website, your account will only be eligible to collect payment using payment link or invoices.
PrerequisiteStep 01 to 06 must be updated before updating/skipping the website.
Entity applicability: All entities.
HTTP Method: PUT
Environment
| URL | |
|---|---|
| Test Environment | https://uat-partner.payu.in/api/v1/merchants/{uuid}/update |
| Production Environment | https://partner.payu.in/api/v1/merchants/{uuid}/update |
Sample Request
Sample request to skip website
## Sample Response
### Success scenario
```json
{
"merchant": {
"mid": 760070201,
"integration_type":"tools"
}
}
Failure scenario
- 401 Unauthorized — Token invalid or expired; call Step 00 again
{
"error": "unauthorized",
"message": "Invalid or expired token"
}- 422 Validation Failed — Request parameters failed validation
{
"error": "validation_failed",
"message": "Check the error details in the response body"
}Response parameters
Response parameters
| Parameter | Description | Example |
|---|---|---|
| merchant.mid | integer — Merchant ID | 12345678 |
| merchant.status | string — Current onboarding status | account_created |
Additional Request Parameters Info
Header parameters
Header parameters
| Header | Description | Example |
|---|---|---|
Authorizationmandatory | string — Bearer token from Step 00 (GetToken) | Bearer {{access_token}} |
Content-Typemandatory | string — Must be multipart/form-data | multipart/form-data |
Path parameters
Path parameters
| Parameter | Description | Example |
|---|---|---|
uuidmandatory | string — Merchant UUID from Step 01 (CreateMerchant) | 11ef-d968-6b042d6c-9b94-02975f21d323 |
Body parameters
Body parameters
| Parameter | Description | Example |
|---|---|---|
merchant[website_details][website_url]conditional | string — Merchant website URL | https://www.example.com |
merchant[website_details][android_url]optional | string — Android app store URL | https://play.google.com/store/apps/details?id=com.example |
merchant[website_details][ios_url]optional | string — iOS App Store URL | https://apps.apple.com/app/example/id123456 |
400Bad Request
401Unauthorized - Invalid or expired token
403Forbidden - No access to this resource
404Not Found
422Validation Failed
500Internal Server Error
